Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.image
Class ICMPixelFormatInfo

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.image.ICMPixelFormatInfo

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public class ICMPixelFormatInfo
extends QTByteObject
implements quicktime.jdirect.QuickTimeLib

See Also:
  Serialized Form

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`int` | `getFormatFlags()`
`static ICMPixelFormatInfo` | `getPixelFormatInfo(int pixelFormat)` Get the PixelFormat info.
`static boolean` | `isValidPixelFormat(int pixelFormat)` Returns true if the provided pixelFormat is a valid pixel format.
`static ICMPixelFormatInfo` | `setPixelFormatInfo(int pixelFormat)` Set the PixelFormat info.
`java.lang.String` | `toString()` Return a String representation of this class.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### isValidPixelFormat

    public static boolean isValidPixelFormat(int pixelFormat)

  Returns true if the provided pixelFormat is a valid pixel format.
  QuickTime::ICMGetPixelFormatInfo

  Parameters:
    `pixelFormat` - Specifies the pixel format.
  Returns:
    a boolean

### setPixelFormatInfo

    public static ICMPixelFormatInfo setPixelFormatInfo(int pixelFormat)
                                                 throws StdQTException

  Set the PixelFormat info.
  QuickTime::ICMSetPixelFormatInfo

  Parameters:
    `pixelFormat` - Specifies the pixel format.
  Returns:
    an ICMPixelFormatInfo structure

### getPixelFormatInfo

    public static ICMPixelFormatInfo getPixelFormatInfo(int pixelFormat)
                                                 throws StdQTException

  Get the PixelFormat info.
  QuickTime::ICMGetPixelFormatInfo

  Parameters:
    `pixelFormat` - Specifies the pixel format.
  Returns:
    an ICMPixelFormatInfo structure

### getFormatFlags

    public int getFormatFlags()

### toString

    public java.lang.String toString()

  Return a String representation of this class.
  Overrides:
    `toString` in class `QTByteObject`
  Returns:
    a String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD